[API]
DestroyAcceleratorTable
LoadAcceleratorsA
LoadAcceleratorsW
CreateAcceleratorTableA
CreateAcceleratorTableW

[CODE]
Public Function LoadResEx_Accelerator(ByVal resID As Long) As Long
  #If LoadResEx_SetLanguageFile Then
    #Else
    #If InIDE Then
      Dim xChar1 As String
      #End If
    #End If

  #If LoadResEx_SetLanguageFile Then
    #If InIDE Then
      If LoadResEx_LanguageFile_hModule = App.hInstance Then GoTo NoLoadFromIDE
      #End If
    If IsUnicode Then
      LoadResEx_Accelerator = LoadAcceleratorsW(LoadResEx_LanguageFile_hModule, ByVal resID)
      Else
      LoadResEx_Accelerator = LoadAcceleratorsA(LoadResEx_LanguageFile_hModule, ByVal resID)
      End If
    #If InIDE Then
NoLoadFromIDE:
      #End If
    #Else
    #If InIDE Then
      If LoadResEx_Accelerator = 0& Then
        xChar1 = LoadResEx_Data(resID, 9&, App.hInstance)
        If Not Len(xChar1) = 0& And (Len(xChar1) And &H7&) = 0& Then
          If IsUnicode Then
            LoadResEx_Accelerator = CreateAcceleratorTableW(ByVal xChar1, (Len(xChar1) \ 8&))
            Else
            LoadResEx_Accelerator = CreateAcceleratorTableA(ByVal xChar1, (Len(xChar1) \ 8&))
            End If
          End If
        End If
      #End If
    #End If
  End Function

Public Sub LoadResEx_DestroyAccelerator(ByRef hAccel As Long)
  #If InIDE Then
    #If LoadResEx_SetLanguageFile Then
      Call DestroyAcceleratorTable(hAccel)
      #End If
    #End If
  hAccel = 0&
  End Sub